[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonDefs.DaemonDefByName

Find and return instance of daemon definition with given name.

## Declaration

Source position: daemonapp.pp line 288

`public function TDaemonDefs.DaemonDefByName(`
`const DaemonName: string`
`):TDaemonDef;`

## Arguments

`DaemonName` |  | Daemon name to search for.

## Function result

Matching TDaemonDef instance

## Description

FindDaemonDef searches the list of daemon definitions and returns the TDaemonDef instance whose name matches DaemonName. If no definition is found, an EDaemon exception is raised.

The FindDaemonDef call does not raise an error, but returns Nil instead.

## Errors

If no definition is found, an EDaemon exception is raised.

## See also

TDaemonDefs.IndexOfDaemonDef |  | Return index of daemon definition
TDaemonDefs.FindDaemonDef |  | Find and return instance of daemon definition with given name.